# Result class

Parent result class for ready-to-use UI components return data

Implementers
  - CroppingResult
  - DocumentScanningResult
  - FinderDocumentScanningResult

## Constructors

Result.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair
operationResult ↔ OperationStatus?
  Standard result status
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited